Summary:       Extensible, general Perl server engine
Name:          perl-Net-Server
Version:       2.014
Release:       3%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Net-Server
Source0:       https://cpan.metacpan.org/modules/by-module/Net/Net-Server-%{version}.tar.gz

BuildRequires: coreutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires: perl(base) perl(Carp) perl(Errno) perl(Exporter) perl(Fcntl) perl(warnings)
BuildRequires: perl(File::Temp) perl(IO::Handle) perl(IO::Multiplex) perl(IO::Select)
BuildRequires: perl(IO::Socket) perl(IO::Socket::IP) perl(IO::Socket::SSL) perl(IO::Socket::UNIX)
BuildRequires: perl(Net::SSLeay) perl(POSIX) perl(re) perl(Scalar::Util) perl(Socket)
BuildRequires: perl(Socket6) perl(Time::HiRes) perl(vars) perl(constant) perl(English)
BuildRequires: perl(File::Spec::Functions) perl(FindBin) perl(lib) perl(threads) perl(Test::More)
Requires:       perl(IO::Multiplex) perl(IO::Socket::IP)
BuildArch:     noarch

%description
An extensible, class oriented module written in perl and intended to be the back end layer of
internet protocol servers.

%prep
%autosetup -n Net-Server-%{version}

chmod -c 644 examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README examples
%{perl_vendorlib}/*
%{_bindir}/net-server
%{_mandir}/man1/net-server.1*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.014-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.014-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.014-1
- Upgrade to version 2.014

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.010-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.010-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.010-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.010-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Shuo Wang <abushwang@tencent.com> - 2.010-1
- initial build
